<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.cms.mapper.FairCompanyMapper">
    
    <resultMap type="FairCompany" id="FairCompanyResult">
        <result property="id"    column="id"    />
        <result property="companyId"    column="company_id"    />
        <result property="jobFairId"    column="job_fair_id"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectFairCompanyVo">
        select id, company_id, job_fair_id, del_flag, create_by, create_time, update_by, update_time, remark from fair_company
    </sql>

    <select id="selectFairCompanyList" parameterType="FairCompany" resultMap="FairCompanyResult">
        <include refid="selectFairCompanyVo"/>
        <where>  del_flag = '0'
            <if test="companyId != null "> and company_id = #{companyId}</if>
            <if test="jobFairId != null "> and job_fair_id = #{jobFairId}</if>
        </where>
    </select>
</mapper>